<template>
  <div v-if="$store.state.global.isOpen">
    <!-- Loading and no modal views -->
    <router-view v-if="!isModal" />

    <!-- Modal -->
    <Modal :show="isModal">
      <!-- header -->
      <template v-slot:header>{{title}}</template>

      <!-- body -->
      <router-view />

      <!-- footer -->
      <template v-slot:footer v-if="hasFooter">
        <router-view name="footer"/>
      </template>

      <!-- next/prev on modal -->
      <template v-slot:peripherals v-if="hasNextPrev">
        <ModalNextPrev />
      </template>
    </Modal>
  </div>
</template>

<script src="./app.js" />
<style src="./app.css" />